- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::RenderSystem::Listener Class Reference

Defines a listener on the custom events that this render system can raise. More...

`#include <OgreRenderSystem.h>`

List of all members.

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | eventOccurred (const String &eventName, const NameValuePairList *parameters=0)=0
| A rendersystem-specific event occurred.

## Detailed Description

Defines a listener on the custom events that this render system can raise.

See also:
  RenderSystem::addListener

Definition at line 1080 of file OgreRenderSystem.h.

## Constructor & Destructor Documentation

Ogre::RenderSystem::Listener::Listener | ( |  | ) |

Definition at line 1083 of file OgreRenderSystem.h.

virtual Ogre::RenderSystem::Listener::~Listener | ( |  | ) | `[virtual]`

Definition at line 1084 of file OgreRenderSystem.h.

## Member Function Documentation

virtual void Ogre::RenderSystem::Listener::eventOccurred | ( | const String & | eventName,
|  | const NameValuePairList * | parameters = `0` |
| ) |  |  | `[pure virtual]`

A rendersystem-specific event occurred.

Parameters:

  | eventName | The name of the event which has occurred
  | parameters | A list of parameters that may belong to this event, may be null if there are no parameters

The documentation for this class was generated from the following file:

- OgreRenderSystem.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:52:14 2008